# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{librarian-puppet}
  s.version = "1.4.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Sharpe", "Carlos Sanchez"]
  s.date = %q{2014-12-04}
  s.default_executable = %q{librarian-puppet}
  s.description = %q{Simplify deployment of your Puppet infrastructure by
  automatically pulling in modules from the forge and git repositories with
  a single command.}
  s.email = ["tim@sharpe.id.au", "carlos@apache.org"]
  s.executables = ["librarian-puppet"]
  s.files = [".gitignore", "LICENSE", "README.md", "bin/librarian-puppet", "lib/librarian/puppet.rb", "lib/librarian/puppet/action.rb", "lib/librarian/puppet/action/install.rb", "lib/librarian/puppet/cli.rb", "lib/librarian/puppet/dsl.rb", "lib/librarian/puppet/environment.rb", "lib/librarian/puppet/extension.rb", "lib/librarian/puppet/lockfile/parser.rb", "lib/librarian/puppet/requirement.rb", "lib/librarian/puppet/source.rb", "lib/librarian/puppet/source/forge.rb", "lib/librarian/puppet/source/forge/repo.rb", "lib/librarian/puppet/source/forge/repo_v1.rb", "lib/librarian/puppet/source/forge/repo_v3.rb", "lib/librarian/puppet/source/git.rb", "lib/librarian/puppet/source/githubtarball.rb", "lib/librarian/puppet/source/githubtarball/repo.rb", "lib/librarian/puppet/source/local.rb", "lib/librarian/puppet/source/path.rb", "lib/librarian/puppet/source/repo.rb", "lib/librarian/puppet/templates/Puppetfile", "lib/librarian/puppet/util.rb", "lib/librarian/puppet/version.rb"]
  s.homepage = %q{https://github.com/rodjek/librarian-puppet}
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Bundler for your Puppet modules}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<librarian>, [">= 0.1.2"])
      s.add_runtime_dependency(%q<rsync>, [">= 0"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<aruba>, [">= 0"])
      s.add_development_dependency(%q<puppet>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["~> 5"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0.9.0"])
    else
      s.add_dependency(%q<librarian>, [">= 0.1.2"])
      s.add_dependency(%q<rsync>, [">= 0"])
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<aruba>, [">= 0"])
      s.add_dependency(%q<puppet>, [">= 0"])
      s.add_dependency(%q<minitest>, ["~> 5"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0.9.0"])
    end
  else
    s.add_dependency(%q<librarian>, [">= 0.1.2"])
    s.add_dependency(%q<rsync>, [">= 0"])
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<aruba>, [">= 0"])
    s.add_dependency(%q<puppet>, [">= 0"])
    s.add_dependency(%q<minitest>, ["~> 5"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0.9.0"])
  end
end
